Forum:Rund um AutoCAD
Thema:Punktwolke vom Fang ausschließen
Möchten Sie sich registrieren?
Wer darf antworten? Registrierte Benutzer können Beiträge verfassen.
Hinweise zur Registrierung Sie müssen registriert sein, um Beiträge oder Antworten auf Beiträge schreiben zu können.
Ihr Benutzername:
Ihr Kennwort:   Kennwort vergessen?
Anhang:    Datei(en) anhängen  <?>   Anhänge verwalten  <?>
Grafik für den Beitrag:                                                
                                                       
Ihre Antwort:

Fachbegriff
URL
Email
Fett
Kursiv
Durchgestr.
Liste
*
Bild
Zitat
Code

*HTML ist AUS
*UBB-Code ist AN
Smilies Legende
Netiquette

10 20 40

Optionen Smilies in diesem Beitrag deaktivieren.
Signatur anfügen: die Sie bei den Voreinstellungen angegeben haben.

Wenn Sie bereits registriert sind, aber Ihr Kennwort vergessen haben, klicken Sie bitte hier.

Bitte drücken Sie nicht mehrfach auf "Antwort speichern".

*Ist HTML- und/oder UBB-Code aktiviert, dann können Sie HTML und/oder UBB Code in Ihrem Beitrag verwenden.

T H E M A     A N S E H E N
Osawa

Beiträge: 52 / 0

Fujitsu Celsius H780
Intel Core i7-8850H
32GB Ram
Quadro P3200
Windows 10 Enterprise
Revit 2018-20
AutoCAD 2019

Edit: Der Titel dieses Threads ist missverständlich, lässt sich aber leider nicht mehr ändern.
Richtig müsste es heißen:

Punktwolke von Auswahl ausschließen

Hallo zusammen,

ich arbeite gerade an einer Datei mit eingefügter Punktwolke und es gelingt mir nicht, die Fangoptionen so einzustellen, dass die Punktwolke diesbezüglich komplett ignoriert wird.

Das Problem ist, dass es nicht möglich ist, ein Auswahlfenster aufzuziehen, wenn der Cursor beim ersten Klick einen Punkt der Punktwolke findet. 3D Objektfang und sämtliche Punktwolkenfänge sind aus.
Kennt da wer eine Möglichkeit?

Vielen Dank schonmal und schönen Tag!

------------------
Osawa

[Diese Nachricht wurde von Osawa am 20. Mai. 2020 editiert.]

REl

Beiträge: 344 / 7

WIN 7 Prof. 64bit SP1
Intel Xeon W3530
24GB Ram
NVIDEA Quadro 2000

Hallo,

versuch es mal so.

Wenn du einen bestimmten Punkt fangen willst kannst du einen Punktfang erzwingen.

Strg. gedrückt halten und rechte Maus Taste drücken. Den O-Fang den du nutzen willst auswählen. Dann sollte nur noch der Fank aktiv sein.

--
Was mir auch schon aufgefallen ist, bei Einigen Befehlen hab ich das Gefühl das ein Befehlsabhängiger O-Fang existiert. Dann musst du wären du den Befehl ausführst den O-Fang anpassen damit es Funktioniert.
 

------------------
Wer nichts weiß der muss nichts tun!!

Fleißige Menschen passen sich Ihrer Umgebung an.
Faule Menschen passen Ihre Umgebung an sich an.

Osawa

Beiträge: 52 / 0

Fujitsu Celsius H780
Intel Core i7-8850H
32GB Ram
Quadro P3200
Windows 10 Enterprise
Revit 2018-20
AutoCAD 2019

Hallo Rei, danke für Deine Antwort!

Wahrscheinlich habe ich das Problem nicht klar genug beschrieben... Und das Stichwort "Objektfang" triffts wahrscheinlich auch nicht so richtig. Ich versuchs nochmal  

Wenn ich z.B. einen Schnitt über einer Punktwolke zeichne und dann ein Auswahlfenster aufziehen möchte, geht das nur, wenn AutoCAD an der aktuellen Cursorposition, also am ersten Punkt des Auswahlfensters keinen Punkt der Punktwolke findet. Dieser Automatismus ist bei normalen Zeichenobjekten ja auch absolut sinnvoll:

- Objekt unterm Cursor = Auswahl Objekt
- Kein Objekt unterm Cursor = start Auswahlfenster

D.h. wenn ich über einer Punktwolke zeichne findet AutoCAD IMMER ein Objekt, weil immer irgendein Punkt der Punktwolke gefunden wird und damit ist es nicht möglich ein Auswahlfenster aufzuziehen. AutoCAD will also immer die (gesperrte) Punktwolke auswählen anstatt ein Auswahlfenster aufzuziehen.

Und ich suche nun nach einer Möglichkeit, AutoCAD mitzuteilen, dass es die Punktwolke bei der Auswahl von Objekten bitte ignorieren möge.

Hoffe, das Problem verständlich beschrieben zu haben...

------------------
Osawa

[Diese Nachricht wurde von Osawa am 25. Mai. 2020 editiert.]

runkelruebe

Beiträge: 8030 / 1537

sw:
Win7-x64
Office 365 ProPlus
C3D (& LT )
ET; DACH; Extensions
-------------------
hw:
FX3800
i5 CPU 670
8GB RAM

Moin,

kann nix testen, nur lesen:
3DOSMODE ist also ein ungerader Wert oder zumindest < 128?

Vielleicht hilft Dir die Verwendung vom dyn-BKS (UCSDETECT) und enthaltenem Bitwert 2 von OSOPTIONS

Wobei >> hier << jemand schreibt, dass es OHNE dynamisches BKS (besser? So wie von Dir gewünscht?) funktioniert.

Irgendwie doof, ohne CAD zum kurzen Gegentest  Ich schick's trotzdem ab, vielleicht nuzt es ja irgendwem.

------------------
Gruß,
runkelruebe          Herr Kann-ich-nich wohnt in der Will-ich-nich-Straße...

Osawa

Beiträge: 52 / 0

Fujitsu Celsius H780
Intel Core i7-8850H
32GB Ram
Quadro P3200
Windows 10 Enterprise
Revit 2018-20
AutoCAD 2019

Moin Rübe, dynamisches bks ist aus und 3DOMODE ist 1

Das Problem ist auch gar nicht der Objektfang, (da hatte ich eingangs die falsche Fährte gelegt) sondern dass die Punktwolke über der ich zeichne immer ausgewählt werden will, wenn ich eigentlich ein Auswahlfenster aufziehen möchte.

Die Punktwolke soll also nicht vom Objektfang ausgeschlossen werden (was sie bereits ist), sondern es soll verhindert werden, dass AutoCAD sie auswählen möchte, wenn ich eigentlich ein Auswahlfenster aufziehen will.
Auch wenn der Layer auf dem die Punktwolke liegt gesperrt ist, "findet" AutoCAD die Punktwolke (Schloss am Cursor) und verhindert so das Aufziehen eines Auswahlfensters.

Vielleicht gibt es ja unter den gefühlt zig tausenden Systemvariablen eine, die dafür sorgt, dass Objekte auf gesperrten Layern von der Auswahl ignoriert werden?!

------------------
Osawa

REl

Beiträge: 344 / 7

WIN 7 Prof. 64bit SP1
Intel Xeon W3530
24GB Ram
NVIDEA Quadro 2000

Jetzt weis ich was du meinst.

KA hab ds noch nie gebraucht. ich würde es ggf mit Zaun machen.

einmal ins leere Klicken und dann einen zaun um die Objekte ziehen.

Eine Frage noch: Wieso hast du nicht die PWolke auf einen Layer und frierst ihn einfach? so würde ich das machen.

------------------
Wer nichts weiß der muss nichts tun!!

Fleißige Menschen passen sich Ihrer Umgebung an.
Faule Menschen passen Ihre Umgebung an sich an.

[Diese Nachricht wurde von REl am 20. Mai. 2020 editiert.]

runkelruebe

Beiträge: 8030 / 1537

sw:
Win7-x64
Office 365 ProPlus
C3D (& LT )
ET; DACH; Extensions
-------------------
hw:
FX3800
i5 CPU 670
8GB RAM

Naja, so'n bisserl OFang ist's ja schon   wenngleich ein unerwünschter...

Objekte auf gesperrten Layern von der Auswahl ignorieren >> 2013 ging's noch nicht >> klick << vermutlich helfen Dir auch die dort vorgestellten workarounds nicht. (Layer 0 danach wieder einschalten nicht vergessen, der sorgt sonst ggfs. für seltsame Effekte)

>> hier << eine längere Diskussion im adsk-Forum. Englisch, vielleicht ist da was bei. Du bist nicht allein mit dem Wunsch, aber bislang wurde er wohl noch nicht erhört.


PS: Ich gehe davon aus, dass die Punktwolke für irgendwas gebraucht wird, denn ausschalten bzw. frieren ist einfach zu naheliegend, als dass man dafür einen thread erstellt 
------------------
Gruß,
runkelruebe          Herr Kann-ich-nich wohnt in der Will-ich-nich-Straße...

Osawa

Beiträge: 52 / 0

Fujitsu Celsius H780
Intel Core i7-8850H
32GB Ram
Quadro P3200
Windows 10 Enterprise
Revit 2018-20
AutoCAD 2019

Die PW liegt schon auf einem separaten Layer und der ist auch gesperrt. (Wenn er gefroren ist, seh ich sie ja nicht mehr...  ) Aber trotzdem wird sie von AutoCAD "gefunden" wenn auch nicht auswählbar...

------------------
Osawa

REl

Beiträge: 344 / 7

WIN 7 Prof. 64bit SP1
Intel Xeon W3530
24GB Ram
NVIDEA Quadro 2000

ich arbeite auch mit PWs was willst du den genau machen?

Bitte ein Beispiel.

------------------
Wer nichts weiß der muss nichts tun!!

Fleißige Menschen passen sich Ihrer Umgebung an.
Faule Menschen passen Ihre Umgebung an sich an.

bbernd

Beiträge: 1362 / 0

AutoCAD -2020
Gimp 2.10
TurboCAD 17
DraftSight 2D
Windows7 Ent 64bit
16 GB Arbeitsspeicher
NVIDIA Quadro M2000

Hallo REI,

ich glaube, ich weiß worum es geht.
Er möchte, wie bei einem Scan, einfach nachzeichnen.
Bei einer Bildreferenz (z. B. alter Plan), kann man einfach reinzeichnen ohne das was gefangen wird.

------------------
Gruß Bernd

Osawa

Beiträge: 52 / 0

Fujitsu Celsius H780
Intel Core i7-8850H
32GB Ram
Quadro P3200
Windows 10 Enterprise
Revit 2018-20
AutoCAD 2019

Genau so! Nachzeichnen, ohne dass AutoCAD die Punktwolke auswählen möchte, wenn sich unterm Cursor ein Punkt der Punktwolke befindet. Weil dann das Aufziehen eines Auswahlfensters von der (versuchten) Auswahl der Punktwolke verhindert wird.

------------------
Osawa

Osawa

Beiträge: 52 / 0

Fujitsu Celsius H780
Intel Core i7-8850H
32GB Ram
Quadro P3200
Windows 10 Enterprise
Revit 2018-20
AutoCAD 2019

Moin Rübe,

dank Dir für die Tipps!
Leider haben weder die Auswahl mit (ssget "_:L") noch der Trick mit DEFPOINTS eine Änderung des Verhaltens ergeben. Ich nehme an, dass ich bis auf Weiteres ohne Auswahlfenster arbeiten muss. Nervig, aber nützt nüscht.

Und die Punktwolke wird zum Nachzeichnen gebraucht, wobei ich mir mit Schnittebenen unterschiedliche Bereiche des Gebäudes anzeigen lasse, für die dann jeweils ein Schnitt erzeugt wird. Immer wenn ich die PW nicht brauche, z.B. beim Schraffieren, wird der PW-Layer gefroren.

------------------
Osawa

Osawa

Beiträge: 52 / 0

Fujitsu Celsius H780
Intel Core i7-8850H
32GB Ram
Quadro P3200
Windows 10 Enterprise
Revit 2018-20
AutoCAD 2019

Zitat:
Original erstellt von runkelruebe:

>> hier << eine längere Diskussion im adsk-Forum. Englisch, vielleicht ist da was bei. Du bist nicht allein mit dem Wunsch, aber bislang wurde er wohl noch nicht erhört.


Gelöst!
In obiger Diskussion hat sich der entscheidende Hinweis versteckt!

Lösung: 

Optionen -> Reiter Auswahl
Im Feld Auswahlmodi: Häkchen bei "Implizierte Fensterauswahl" und "Drücken und ziehen auf Objekt zulassen". KEIN Häkchen bei "Drücken und Ziehen für Lasso zulassen.

Voila! Auswahlfenster lässt sich aufziehen, auch wenn sich unterm Cursor ein PW-Punkt oder sonst ein Objekt befindet.

Jetzt muss man zwar den Mausbutton festhalten, wenn man ein Auswahlfenster aufziehen möchte, aber damit kann ich gut leben!

Wieder was gelernt! Tausend Dank!!


------------------
Osawa

[Diese Nachricht wurde von Osawa am 25. Mai. 2020 editiert.]